#include "dialog.ch"
#include "mark.ch"  
#include "demo.ch"

FUNCTION Demo
   LOCAL nResult:=0    
   LOCAL lContinue:=.T.
   LOCAL HoldScreen:=GetScreen(0, 0, 24, 79)
   LOCAL HoldCrsPos:=SaveCursorPos()

   DrawBackground()
   DO WHILE ( lContinue )
      DIALOG MESSAGE D_MESSAGES     ;
             SHADOWS                ;
             HEADER " Dialog Box "  ;
             BOTTOM 14              

      DIALOG MESSAGE "", "Here is a demo with all the options used." , ;
                     "I am using the message, options, header,"      , ;
                     "footer, boxcolor, headercolor, buttoncolor,"   , ;
                     "shadows, top, left, bottom, hotkeycolor,"      , ;
                     "default, centermessages, noesc, boxtype and"   , ;
                     "the to parameters.  Thats all folks!"            ;
             OPTIONS "~Run Demo again", "~Quit to Dos" ;
             HEADER  " This is a sample header "       ;
             FOOTER  " Sample footer " ;
             BOXCOLOR "W+/B"           ;
             HEADERCOLOR "RG*/W"       ;   
             BUTTONCOLOR "N/BG,N/BG*"  ;
             HOTKEYCOLOR "R"           ;
             SHADOWS                   ;
             TOP 5                     ;
             BOTTOM 12                 ;
             LEFT 15                   ;
             DEFAULT 2                 ;
             CENTERMESSAGES            ;
             NOESC                     ;
             BOXTYPE 7                 ;
             TO nResult              
      lContinue:=(nResult == 1 )
   ENDDO
   PutScreen(HoldScreen)
   RestCursorPos(HoldCrsPos)
RETURN ( NIL )


// Draw a sample background just so we can see the shadow from the dialog box.
FUNCTION DrawBackground()
   LOCAL I
   SetColor("W+/G")
   CLS
   @ I, 0 Say Chr(218) + Replicate(Chr(196)+Chr(194), 38) + Chr(196) + ;
   Chr(191)
   FOR I:=1 to 23
      @ I, 0 Say Chr(195) + Replicate(Chr(196)+Chr(197), 38) + Chr(196) + ;
      Chr(180)
   NEXT I
   @ I, 0 Say Chr(192) + Replicate(Chr(196)+Chr(193), 38) + Chr(196) + ;
   Chr(217)
RETURN ( NIL )
